Version 0.2

- Updated this patch for Ascend's radius-971222 distribution. 

- Added support for Irix 5.3 in the Makefile.

- Fixed SQL query strings, I was incorrectly using double quotes to surround
  SQL strings. Now uses single quotes. This should improve portability

- Added Ascend-Xmit-Rate logging. If you have been using version 0.1 you will
  probably want to update your DB tables to include this field (though you
  shouldn't _have_ to).
  
  You can do this with the following commandline:

  echo "alter table radius_log add column \
  Ascend_Xmit_Rate int(10) unsigned NOT NULL DEFAULT '0';" \ 
  | mysql radius radius_log

- Added WISHLIST.sql file, I would have called this TODO if I had more time
  to work on this. ;)

- Added NO_LOG_DETAIL compile time option to disable the old detail file all 
  together. This is untested, but it looks correct.

- Added some legal mumbo-jumbo to each file I modified or wrote.

- Split db_log.h into db_log.h (prototypes) and db_param.h (DB settings)
  Changed a few names in db_param.h (prefixed them with "sql_").

------

Version 0.1

I have made some basic modifications to Ascend's version of radiusd to support
logging of accounting information to an SQL database. The normal text logfile
is still kept for redundancy.

Currently the only database supported is MySQL. I have no plans to support any
others, but I will happily combine any patches I recieve. I have put all DB
specific routines in one function, so it is very simple to modify.

I have been running for about a week with the modified version and I have 
detected no problems. The memory used by radiusd has been constant. About 5k
accounting entries have gone into our database.

The modifications consist of:

radiusd.c            - A few lines to call the new database routine

db_log.c             - This converts the name/value accounting info into 
                       an SQL query and fires this off to the database.
                       (new file)

db_log.h             - Contains which attributes we wish to log, where our
                       database server is located and the field names
                       for the attributes. (new file)
                       
Makefile             - Added db_log.c to files to be compiled and included
                       into the radiusd executable. Added necessary libs
                       for database access.

radius_log.def       - Database definition matching db_log.h. (new file)


I am pretty smug about the modifications, the ability to generate stats without
chugging through 10's of Mb of logfile is very nice :)

Damien Miller <dmiller@vitnet.com.sg>

